Skip to main content
GET
Get product

Authorizations

x-api-key
string
header
required

API key for merchant authentication

Path Parameters

id
string
required

Product ID (MongoDB ObjectId)

Pattern: ^[a-f\d]{24}$

Response

Product retrieved successfully

Product entity

_id
string
required

MongoDB ObjectId

Pattern: ^[a-f\d]{24}$
merchantId
string
required

Merchant identifier

Pattern: ^[a-f\d]{24}$
name
string
required

Product name

price
number
required

Product price

Required range: x >= 0
id
string

Custom product identifier

description
string

Product description

status
enum<string>
default:active

Product status

Available options:
active,
inactive
imageUrl
string

Product image URL

createdAt
string<date-time>

Creation timestamp

updatedAt
string<date-time>

Last update timestamp

deletedAt
string<date-time> | null

Soft deletion timestamp (null if not deleted)